using System;

namespace Cenzura
{
    class Program
    {
        static void Main(string[] args)
        {
            string t = Console.ReadLine();
            string s = Console.ReadLine();
            int[] x = new int[s.Length];
            for(int i = 0; i < s.Length; i++)
            {
                int br = 0;
                for(int j = 0; j < t.Length; j++)
                {
                    if(s[i] == t[j])
                    {
                        br++;
                    }
                    x[i] = br;
                }
            }
            int min = int.MaxValue, imin = 0;
            for(int i = 0; i < s.Length; i++)
            {
                if(x[i] < min)
                {
                    min = x[i];
                    imin = i;
                }
            }
            int a = 0;
            for (int i = 0; i < t.Length; i++)
            {
                if (t[i] == s[imin])
                {
                    a++;
                }
            }
            Console.WriteLine(a);
            for (int i = 0; i < t.Length; i++)
            {
                if(t[i] != s[imin])
                {
                    Console.Write(t[i]);
                }
                else
                {
                    Console.Write("*");
                }
            }
        }
    }
}